<?php

namespace FiloBlu\Flow\Model\Parser\Filters;

/**
 * Class AbstractFilter
 * @package FiloBlu\Flow\Model\Parser\Filters
 */
abstract class AbstractFilter
{
    /**
     * @var
     */
    protected $_row;

    /**
     * @return mixed
     */
    public function getRow()
    {
        return $this->_row;
    }

    /**
     * @param $row
     */
    public function setRow($row)
    {
        $this->_row = $row;
    }

    /**
     * @param $value
     * @param $args
     * @return mixed
     */
    abstract public function filter($value, $args);
}
